package guest;

import java.sql.Date;

import javax.ejb.EJB;
import javax.ejb.Stateless;
import javax.persistence.PersistenceException;

@Stateless
public class GuestUpdater {
	
	@EJB
	private GuestDao guestDao;
	
	 public void updateGuest(String name){
	    	
	    	Guest guest=null;
	    	
	    	try{
	    		
	    		guest=guestDao.findGuest(name);
	    		guest.setSigningDate(new Date(System.currentTimeMillis()));
	    	}catch(PersistenceException e){
	    		
	    		guest=new Guest(name);
	    		guestDao.persist(guest);
	    		
	    		
	    	}
	    	
	    }
	 

}
